<?
define('PROTECTOR', 1);

$headmod = 'pers';//фикс. места

$textl='Настройки';
@include('files/path.php');
@include($path.'files/db.php');
@include($path.'files/auth.php');
@include($path.'files/func.php');
@include($path.'files/core.php');
@include($path.'files/head.php');
@include($path.'files/zag.php');

switch($_GET[mod]){

default:

echo"Настройки:</div><div class='m_bg'>";
//echo'<a href="avatar.php?">Выбрать аватар</a><br/>';
//echo'<a href="set.php?mod=sb">Система боя</a><br/>';
echo'<a href="set.php?mod=pan">Панель иконок</a><br/>';
//echo'<a href="set.php?mod=fon">Выбрать фон</a><br/>';
echo'<a href="set.php?mod=klass">Выбрать класс</a><br/>';
echo'<a href="set.php?mod=storona">Поменять сторону</a><br/>';
echo'<a href="set.php?mod=cancel">Сбросить очки параметров</a><br/>';
echo'<a href="set.php?mod=pass">Поменять пароль</a><br/>';
break; 


case 'pan':
if(empty($_POST[pan])){
echo "<form action='set.php?mod=pan' method='POST'>";
echo"Пaнель иконок:</div>";
if($udata[pan] == 1){echo'<div class="m_bg"><input type="radio" name="pan" value="1" CHECKED /> Отключить<br />
<input type="radio" name="pan" value="2" /> Включить<br /><input type="submit" value="Оk" /></form></div>';}
else{echo'<div class="m_bg"><input type="radio" name="pan" value="1" /> Отключить<br />
<input type="radio" name="pan" value="2" CHECKED /> Включить<br /><input type="submit" value="Оk" /></form></div>';}

}
else{
$pan = $_POST[pan];
mysql_query("UPDATE `users` SET
`pan` =  '$pan' WHERE `usr` = '$log' ");
echo'Настройки приняты!<br/>';
echo"<a href='set.php'>Назад</a>";
}
break;

case 'fon':
if(empty($_POST[fon])){
echo "<form action='set.php?mod=fon' method='POST'>";
echo"Выбрать фон:</div>";
echo'<div class="m_bg"><input type="radio" name="fon" value="standart" /> Стандартный<br />
<input type="radio" name="fon" value="star" /> Старый (синий)<br />
<input type="radio" name="fon" value="temn" CHECKED /> Темный<br /><input type="submit" value="Оk" /></form></div>';

}
else{
$pan = $_POST[fon];
mysql_query("UPDATE `set` SET
`fon` =  '$pan' WHERE `usr` = '$log' ");
echo'Настройки приняты!<br/>';
echo"<a href='set.php'>Назад</a>";
}
break;

case 'sb':
if(empty($_POST[sb])){
echo "<form action='set.php?mod=sb' method='POST'>";
echo"Система боя:</div>";
if($udata[sb] == 1){echo'<div class="m_bg"><input type="radio" name="sb" value="1"/> Список с выбором<br />
<input type="radio" name="sb" value="2" /> Выпадающий список<br />
<input type="radio" name="sb" value="3" CHECKED /> Случайно(без выбора)<br />
<input type="submit" value="Оk" /></form></div>';}
else{echo'<div class="m_bg"><input type="radio" name="sb" value="1" /> Список с выбором<br />
<input type="radio" name="sb" value="2" /> Выпадающий список<br />
<input type="radio" name="sb" value="3" CHECKED /> Случайно(без выбора)<br /><br />';
echo'<input name="graph" type="checkbox" value="1" />Без графики в бою<br />';
echo'<input type="submit" value="Оk" /></form></div>';}

}else{
$graph = $_POST[graph];
$sb = $_POST[sb];
mysql_query("UPDATE `set` SET
`graph` =  '$graph' WHERE `usr` = '$log' ");
mysql_query("UPDATE `users` SET
`sb` =  '$sb' WHERE `usr` = '$log' ");
echo'Система боя выбрана '.$sb.' '.$log.'<br/>';
echo"<a href='set.php'>Назад</a>";
}
break;

case 'klass':
if(empty($_POST[klass])){
echo "<form action='set.php?mod=klass' method='POST'>";
echo"Выбрать класс (200 монет):</div>";
echo'<div class="m_bg"><input type="radio" name="klass" value="wizard" CHECKED /> Маг<br />
<input type="radio" name="klass" value="fighert" /> Воин<br /><input type="submit" value="Оk" /></form></div>';}
else{
if($_POST[klass] == wizard and $udata[money] >= 200){
mysql_query("UPDATE `users` SET
`klas` =  'wizard',`money` =  '$udata[money]'-'200'  WHERE `usr` = '$log' ");
}


if($_POST[klass] == fighert and $udata[money] >= 200){
mysql_query("UPDATE `users` SET
`klas` =  'fighert',`money` =  '$udata[money]'-'200'  WHERE `usr` = '$log' ");
}

echo'Класс успешно изменен <br />';
echo"<a href='set.php?'>Назад</a>";
}
break;

case 'cancel':
echo'Сброс очков распределения стоит 500 монет. <a href="set.php?mod=canc">Сбросить</a>';
break;

case 'canc':
if($udata[money] >= 500){
$req1 = mysql_query("SELECT * FROM `weapon` WHERE `usr` = '$log' and `image` = 'yes'");
$avto1=mysql_num_rows($req1);
if($avto1 == 0){

$ochki = $udata[lvl]*3;

mysql_query("UPDATE 
        `users` SET
        `skill` = '$ochki',
        `sila` = '8',
        `lovk` = '7',
        `hpall` = '20',
        `mpall` = '20',
        `prot` = '11',
        `krit` = '5',
        `money` =  '$udata[money]'-'500',
        `ukrit` = '5' WHERE `usr` = '$log'
       "); 

echo'Очки успешно сброшены.<a href="set.php?">Назад</a>'; }
else{echo'Произошла ошибка : не хватает средств, либо на Вас что-то одето (снимите все)';}}
break;

case 'pass':

$req = mysql_query("SELECT * FROM `users` WHERE `id`='$_GET[id]' LIMIT 1");
$item = mysql_fetch_array($req);

if(empty($_POST[pass])){
echo "<form action='set.php?mod=pass' method='POST'>";
echo"Новый пароль:<br/>
<input class='input' type=\"text\" value=\"\" size=\"10\" name=\"pass\"/><br/>";
echo '<input class="button" type="submit" value="Изменить" /></form>';
}else{
mysql_query("UPDATE `users` SET
`pass` = md5('$_POST[pass]') WHERE id='$udata[id]' LIMIT 1");

echo'Пароль изменён!<br/>';echo"<a href='set.php?'>Назад</a>";}
break;

case 'storona':
echo'Вы уверены, что хотите сменить сторону на противоположную? Это будет стоить Вам <b>1000</b> монет. <a href=set.php?mod=st>Да</a><br/>';
echo"<a href='set.php?'>Назад</a>";
break;


case 'st':
if(empty($_POST[storona])){
echo "<form action='set.php?mod=st' method='POST'>";
echo"Выбери сторону (1000 монет):</div>";
echo'<div class="m_bg"><input type="radio" name="storona" value="white" CHECKED /> Светлая<br />
<input type="radio" name="storona" value="black" /> Тёмная<br /><input type="submit" value="Оk" /></form></div>';}
else{
if($_POST[storona] == white and $udata[money] >= 1000){
mysql_query("UPDATE `users` SET
`storona` =  'white',`money` =  '$udata[money]'-'1000',`avatar`='' WHERE `usr` = '$log' ");}

if($_POST[storona] == black and $udata[money] >= 1000){
mysql_query("UPDATE `users` SET
`storona` =  'black',`money` =  '$udata[money]'-'1000'  WHERE `usr` = '$log' ");}
echo'Сторона успешно изменена <br />';
echo"<a href='set.php?'>Назад</a>";
}

break;
}
@include($path.'files/down.php');
?>